Index: TXM/trunk/org.txm.concordance.rcp/src/org/txm/concordance/rcp/handlers/CopyLines.java
===================================================================
--- TXM/trunk/org.txm.concordance.rcp/src/org/txm/concordance/rcp/handlers/CopyLines.java	(revision 3367)
+++ TXM/trunk/org.txm.concordance.rcp/src/org/txm/concordance/rcp/handlers/CopyLines.java	(revision 3368)
@@ -31,16 +31,14 @@
 import org.eclipse.core.commands.ExecutionEvent;
 import org.eclipse.core.commands.ExecutionException;
 import org.eclipse.jface.viewers.TableViewer;
-import org.eclipse.swt.widgets.Shell;
 import org.eclipse.ui.IWorkbenchPart;
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.concordance.rcp.editors.ConcordanceEditor;
 import org.txm.rcp.editors.TableKeyListener;
 
 /**
- * Allow the user to delete lines in a Concordance table.
+ * Allow the user to copy lines in a ConcordanceEditor table.
  * @author mdecorde
- * @author sjacquot
  */
 public class CopyLines extends AbstractHandler {
 
@@ -49,9 +47,8 @@
 	 */
 	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
-		Shell shell = HandlerUtil.getActiveWorkbenchWindowChecked(event).getShell();
-		// ISelection selection =
-		// HandlerUtil.getActiveWorkbenchWindow(event).getActivePage().getSelection();
+		// Shell shell = HandlerUtil.getActiveWorkbenchWindowChecked(event).getShell();
+		// ISelection selection =  HandlerUtil.getActiveWorkbenchWindow(event).getActivePage().getSelection();
 
 		IWorkbenchPart editor = HandlerUtil.getActiveWorkbenchWindow(event)
 				.getActivePage().getActivePart();
Index: TXM/trunk/org.txm.referencer.rcp/plugin.xml
===================================================================
--- TXM/trunk/org.txm.referencer.rcp/plugin.xml	(revision 3367)
+++ TXM/trunk/org.txm.referencer.rcp/plugin.xml	(revision 3368)
@@ -57,6 +57,15 @@
                      </visibleWhen>
                   </command>
                </menuContribution>
+               <menuContribution
+                     locationURI="popup:org.txm.referencer.rcp.editors.ReferencerEditor">
+                  <command
+                        commandId="org.txm.referencer.rcp.handlers.CopyLines"
+                        icon="platform:/plugin/org.eclipse.ui/icons/full/etool16/copy_edit.png"
+                        label="Copy"
+                        style="push">
+                  </command>
+               </menuContribution>
    </extension>
    <extension
          point="org.eclipse.ui.commands">
@@ -68,6 +77,11 @@
                   name="%command.name.44"
                   returnTypeId="org.txm.referencer.core.functions.Referencer">
       </command>
+            <command
+                  defaultHandler="org.txm.referencer.rcp.handlers.CopyLines"
+                  id="org.txm.referencer.rcp.handlers.CopyLines"
+                  name="Copy">
+            </command>
    </extension>
    <extension
          point="org.eclipse.core.expressions.definitions">
Index: TXM/trunk/org.txm.referencer.rcp/src/org/txm/referencer/rcp/editors/ReferencerEditor.java
===================================================================
--- TXM/trunk/org.txm.referencer.rcp/src/org/txm/referencer/rcp/editors/ReferencerEditor.java	(revision 3367)
+++ TXM/trunk/org.txm.referencer.rcp/src/org/txm/referencer/rcp/editors/ReferencerEditor.java	(revision 3368)
@@ -483,4 +483,9 @@
 	public void updateResultFromEditor() {
 		// nothing to do
 	}
+
+	public TableViewer getTableViewer() {
+		
+		return viewer;
+	}
 }
Index: TXM/trunk/org.txm.referencer.rcp/src/org/txm/referencer/rcp/handlers/CopyLines.java
===================================================================
--- TXM/trunk/org.txm.referencer.rcp/src/org/txm/referencer/rcp/handlers/CopyLines.java	(revision 0)
+++ TXM/trunk/org.txm.referencer.rcp/src/org/txm/referencer/rcp/handlers/CopyLines.java	(revision 3368)
@@ -0,0 +1,68 @@
+// Copyright © 2010-2020 ENS de Lyon., University of Franche-Comté
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+// 
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+// 
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+// 
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+// 
+// 
+// 
+// $LastChangedDate:$
+// $LastChangedRevision:$
+// $LastChangedBy:$ 
+//
+package org.txm.referencer.rcp.handlers;
+
+import org.eclipse.core.commands.AbstractHandler;
+import org.eclipse.core.commands.ExecutionEvent;
+import org.eclipse.core.commands.ExecutionException;
+import org.eclipse.jface.viewers.TableViewer;
+import org.eclipse.ui.IWorkbenchPart;
+import org.eclipse.ui.handlers.HandlerUtil;
+import org.txm.referencer.rcp.editors.ReferencerEditor;
+import org.txm.rcp.editors.TableKeyListener;
+
+/**
+ * Allow the user to copy lines in a ReferencerEditor table.
+ * @author mdecorde
+ */
+public class CopyLines extends AbstractHandler {
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.core.commands.AbstractHandler#execute(org.eclipse.core.commands.ExecutionEvent)
+	 */
+	@Override
+	public Object execute(ExecutionEvent event) throws ExecutionException {
+		// Shell shell = HandlerUtil.getActiveWorkbenchWindowChecked(event).getShell();
+		// ISelection selection = HandlerUtil.getActiveWorkbenchWindow(event).getActivePage().getSelection();
+
+		IWorkbenchPart editor = HandlerUtil.getActiveWorkbenchWindow(event).getActivePage().getActivePart();
+		
+		if (editor instanceof ReferencerEditor) {
+			ReferencerEditor ceditor = (ReferencerEditor) editor;
+			deleteConcordanceLines(ceditor);
+		}
+
+		return null;
+	}
+
+	public static void deleteConcordanceLines(ReferencerEditor editor) {
+		TableViewer viewer = editor.getTableViewer();
+				
+		TableKeyListener.copyLinesToClipboard(new TableViewer[] {viewer});
+	}
+}

Property changes on: TXM/trunk/org.txm.referencer.rcp/src/org/txm/referencer/rcp/handlers/CopyLines.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: TXM/trunk/org.txm.index.rcp/src/org/txm/index/rcp/handlers/CopyLines.java
===================================================================
--- TXM/trunk/org.txm.index.rcp/src/org/txm/index/rcp/handlers/CopyLines.java	(revision 3367)
+++ TXM/trunk/org.txm.index.rcp/src/org/txm/index/rcp/handlers/CopyLines.java	(revision 3368)
@@ -37,7 +37,7 @@
 import org.txm.rcp.editors.TableKeyListener;
 
 /**
- * Allow the user to delete lines in a Concordance table.
+ * Allow the user to copy lines in a IndexEditor table.
  * @author mdecorde
  * @author sjacquot
  */
Index: TXM/trunk/org.txm.index.rcp/plugin.xml
===================================================================
--- TXM/trunk/org.txm.index.rcp/plugin.xml	(revision 3367)
+++ TXM/trunk/org.txm.index.rcp/plugin.xml	(revision 3368)
@@ -137,6 +137,12 @@
                         label="%command.name.2"
                         style="push">
                   </command>
+                  <command
+                        commandId="org.txm.index.rcp.handlers.CopyLines"
+                        icon="platform:/plugin/org.eclipse.ui/icons/full/etool16/copy_edit.png"
+                        label="Copy"
+                        style="push">
+                  </command>
                </menuContribution>
                <menuContribution
                      locationURI="popup:org.txm.internalview.rcp.editors.InternalViewEditor">
Index: TXM/trunk/org.txm.internalview.rcp/src/org/txm/internalview/rcp/handlers/CopyLines.java
===================================================================
--- TXM/trunk/org.txm.internalview.rcp/src/org/txm/internalview/rcp/handlers/CopyLines.java	(revision 0)
+++ TXM/trunk/org.txm.internalview.rcp/src/org/txm/internalview/rcp/handlers/CopyLines.java	(revision 3368)
@@ -0,0 +1,68 @@
+// Copyright © 2010-2020 ENS de Lyon., University of Franche-Comté
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+// 
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+// 
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+// 
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+// 
+// 
+// 
+// $LastChangedDate:$
+// $LastChangedRevision:$
+// $LastChangedBy:$ 
+//
+package org.txm.internalview.rcp.handlers;
+
+import org.eclipse.core.commands.AbstractHandler;
+import org.eclipse.core.commands.ExecutionEvent;
+import org.eclipse.core.commands.ExecutionException;
+import org.eclipse.jface.viewers.TableViewer;
+import org.eclipse.ui.IWorkbenchPart;
+import org.eclipse.ui.handlers.HandlerUtil;
+import org.txm.internalview.rcp.editors.InternalViewEditor;
+import org.txm.rcp.editors.TableKeyListener;
+
+/**
+ * Allow the user to copy lines in a InternalViewEditor table.
+ * @author mdecorde
+ */
+public class CopyLines extends AbstractHandler {
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.core.commands.AbstractHandler#execute(org.eclipse.core.commands.ExecutionEvent)
+	 */
+	@Override
+	public Object execute(ExecutionEvent event) throws ExecutionException {
+		// Shell shell = HandlerUtil.getActiveWorkbenchWindowChecked(event).getShell();
+		// ISelection selection = HandlerUtil.getActiveWorkbenchWindow(event).getActivePage().getSelection();
+
+		IWorkbenchPart editor = HandlerUtil.getActiveWorkbenchWindow(event).getActivePage().getActivePart();
+		
+		if (editor instanceof InternalViewEditor) {
+			InternalViewEditor ceditor = (InternalViewEditor) editor;
+			deleteConcordanceLines(ceditor);
+		}
+
+		return null;
+	}
+
+	public static void deleteConcordanceLines(InternalViewEditor editor) {
+		TableViewer viewer = editor.getTableViewer();
+				
+		TableKeyListener.copyLinesToClipboard(new TableViewer[] {viewer});
+	}
+}

Property changes on: TXM/trunk/org.txm.internalview.rcp/src/org/txm/internalview/rcp/handlers/CopyLines.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: TXM/trunk/org.txm.internalview.rcp/src/org/txm/internalview/rcp/editors/InternalViewEditor.java
===================================================================
--- TXM/trunk/org.txm.internalview.rcp/src/org/txm/internalview/rcp/editors/InternalViewEditor.java	(revision 3367)
+++ TXM/trunk/org.txm.internalview.rcp/src/org/txm/internalview/rcp/editors/InternalViewEditor.java	(revision 3368)
@@ -393,4 +393,9 @@
 			e.printStackTrace();
 		}
 	}
+
+	public TableViewer getTableViewer() {
+		
+		return viewer;
+	}
 }
Index: TXM/trunk/org.txm.internalview.rcp/plugin.xml
===================================================================
--- TXM/trunk/org.txm.internalview.rcp/plugin.xml	(revision 3367)
+++ TXM/trunk/org.txm.internalview.rcp/plugin.xml	(revision 3368)
@@ -9,6 +9,11 @@
             name="%command.name"
             returnTypeId="org.txm.internalview.core.functions.InternalView">
       </command>
+      <command
+            defaultHandler="org.txm.internalview.rcp.handlers.CopyLines"
+            id="org.txm.internalview.rcp.handlers.CopyLines"
+            name="Copy">
+      </command>
    </extension>   <extension
          point="org.eclipse.ui.menus">
       <menuContribution
@@ -55,6 +60,15 @@
             </visibleWhen>
          </command>
       </menuContribution>
+      <menuContribution
+            locationURI="popup:org.txm.internalview.rcp.editors.InternalViewEditor">
+         <command
+               commandId="org.txm.internalview.rcp.handlers.CopyLines"
+               icon="platform:/plugin/org.eclipse.ui/icons/full/etool16/copy_edit.png"
+               label="Copy"
+               style="push">
+         </command>
+      </menuContribution>
       
    </extension>   <extension
          point="org.eclipse.ui.editors">
Index: TXM/trunk/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/CooccurrencesEditor.java
===================================================================
--- TXM/trunk/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/CooccurrencesEditor.java	(revision 3367)
+++ TXM/trunk/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/CooccurrencesEditor.java	(revision 3368)
@@ -664,4 +664,9 @@
 		TXMParameters parameters = getWidgetsParameters();
 		cooc.setParameters(parameters);
 	}
+
+	public TableViewer getTableViewer() {
+		
+		return viewer;
+	}
 }
Index: TXM/trunk/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/handlers/CopyLines.java
===================================================================
--- TXM/trunk/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/handlers/CopyLines.java	(revision 0)
+++ TXM/trunk/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/handlers/CopyLines.java	(revision 3368)
@@ -0,0 +1,68 @@
+// Copyright © 2010-2020 ENS de Lyon., University of Franche-Comté
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+// 
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+// 
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+// 
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+// 
+// 
+// 
+// $LastChangedDate:$
+// $LastChangedRevision:$
+// $LastChangedBy:$ 
+//
+package org.txm.cooccurrence.rcp.handlers;
+
+import org.eclipse.core.commands.AbstractHandler;
+import org.eclipse.core.commands.ExecutionEvent;
+import org.eclipse.core.commands.ExecutionException;
+import org.eclipse.jface.viewers.TableViewer;
+import org.eclipse.ui.IWorkbenchPart;
+import org.eclipse.ui.handlers.HandlerUtil;
+import org.txm.cooccurrence.rcp.editors.CooccurrencesEditor;
+import org.txm.rcp.editors.TableKeyListener;
+
+/**
+ * Allow the user to copy lines in a CooccurrencesEditor table.
+ * @author mdecorde
+ */
+public class CopyLines extends AbstractHandler {
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.core.commands.AbstractHandler#execute(org.eclipse.core.commands.ExecutionEvent)
+	 */
+	@Override
+	public Object execute(ExecutionEvent event) throws ExecutionException {
+		// Shell shell = HandlerUtil.getActiveWorkbenchWindowChecked(event).getShell();
+		// ISelection selection = HandlerUtil.getActiveWorkbenchWindow(event).getActivePage().getSelection();
+
+		IWorkbenchPart editor = HandlerUtil.getActiveWorkbenchWindow(event).getActivePage().getActivePart();
+		
+		if (editor instanceof CooccurrencesEditor) {
+			CooccurrencesEditor ceditor = (CooccurrencesEditor) editor;
+			deleteConcordanceLines(ceditor);
+		}
+
+		return null;
+	}
+
+	public static void deleteConcordanceLines(CooccurrencesEditor editor) {
+		TableViewer viewer = editor.getTableViewer();
+				
+		TableKeyListener.copyLinesToClipboard(new TableViewer[] {viewer});
+	}
+}

Property changes on: TXM/trunk/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/handlers/CopyLines.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: TXM/trunk/org.txm.cooccurrence.rcp/plugin.xml
===================================================================
--- TXM/trunk/org.txm.cooccurrence.rcp/plugin.xml	(revision 3367)
+++ TXM/trunk/org.txm.cooccurrence.rcp/plugin.xml	(revision 3368)
@@ -10,6 +10,11 @@
             name="%command.name"
             returnTypeId="org.txm.cooccurrence.core.functions.Cooccurrence">
       </command>
+      <command
+            defaultHandler="org.txm.cooccurrence.rcp.handlers.CopyLines"
+            id="org.txm.cooccurrence.rcp.handlers.CopyLines"
+            name="Copy">
+      </command>
    </extension>
    <extension
          point="org.eclipse.ui.preferencePages">
@@ -128,6 +133,15 @@
                tooltip="%command.name.4">
          </command>
       </menuContribution>
+      <menuContribution
+            locationURI="popup:org.txm.cooccurrence.rcp.editors.CooccurrencesEditor">
+         <command
+               commandId="org.txm.cooccurrence.rcp.handlers.CopyLines"
+               icon="platform:/plugin/org.eclipse.ui/icons/full/etool16/copy_edit.png"
+               label="Copy"
+               style="push">
+         </command>
+      </menuContribution>
    </extension>
    <extension
          point="org.eclipse.ui.editors">
